TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsNilpotent ( elt-res^pad x ) -> elt-alg^boo, elt-ord^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> Return `TRUE' iff residue class `x' is nilpotent, i.e. if there exists an integer `q' with `x^q = 0', return `FALSE' otherwise.
If `x' is nilpotent `IsNilpotent' also returns the index of nilpotence of x, i.e. the smallest `q' such that x^q = 0. </shortdoc>

### Examples

x_r5 := pAdicQuotientRing(5,10); IsNilpotent(Element(x_r5,4)); IsNilpotent(Element(x_r5,5));

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack